<template>
    <div class="test-check">
        <div class="test-explain">
            <p class="p-h">前置条件检查</p>
        </div>
        <div class="test-explain"
            v-loading="loading"
            element-loading-text="检查中"
            element-loading-spinner="el-icon-loading"
            element-loading-background="rgba(0, 0, 0, 0)">
            <table>
                <tbody>
                <tr v-for="(item, key) in list" :key="'item'+key">
                    <td class="td-name">{{ item.name }}</td>
                    <td>{{ item.valueDescription }}</td>
                    <td class="td-status">{{ item.status ? "检查正常" : "检查异常" }}</td>
                </tr>
                </tbody>
            </table>
        </div>
        <div class="test-check-button" v-if="showButton">
            <el-button type="primary" size="small" @click="startTest">开始试验</el-button>
        </div>
    </div>
</template>

<script>
import {checkPrecondition} from "@/pages/test/js/api";

export default {
    name: "testStepCheck",
    props: {
        type: {
            type: String,
            default: ""
        }
    },
    data() {
        return {
            loading: false,
            showButton: false,
            list: [],
        }
    },
    methods: {
        checkPrecondition() {
            this.loading = true;
            this.$nextTick(() => {
                checkPrecondition(this.type).then(res => {
                    let rs = res.data;
                    let data = [];
                    if (rs.code == 1) {
                        data = rs.data;
                    }
                    this.list = data;
                    this.loading = false;
                    this.showButton = true;
                }).catch(error => {
                    this.loading = false;
                    console.log(error);
                });
            });
        },
        startTest() {
            this.$emit('startTest');
        }
    },
    mounted() {
        this.checkPrecondition();
    }
}
</script>

<style scoped>
.p-h {
    font-size: 18px;
    font-weight: 700;
}

.test-check {
    min-height: 300px;
}

.test-explain table {
    margin-left: 32px;
}

.test-explain table td {
    padding: 4px 16px;
}

.test-explain table td.td-name {
    text-align: right;
}

.test-explain table td.td-status {
    font-weight: 700;
}

.test-check-button {
    padding: 8px 16px;
    text-align: right;
}
</style>